﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ViewBuilder
{
    public partial class CreateViewForm : Form
    {
        public CreateViewForm()
        {
            InitializeComponent();
        }

        private void saveViewButton_Click(object sender, EventArgs e)
        {
            
            //set the name of the controller for the new view
            string controllerName = inputViewNameText.Text.ToString(); 

            //set the view name should be the same as the controller
            string viewName = controllerName;

            // create a new StringBuilder object to hold the controller code 
            StringBuilder controller = new StringBuilder();

            //create a new StringBuilder object to hold the view code
            StringBuilder view = new StringBuilder();



            //start creating the new controller
            controller.Append("<?php\r\n\r\n");
            controller.Append("$URL = $_SERVER['REQUEST_URI'];\r\n\r\n");
            controller.Append("$noAcess = '/cms/controllers/file.php';\r\n\r\n");
            controller.Append("//if the url requested is not the index file then exit the script\r\n");
            controller.Append("if ( $URL == $noAcess)exit('No direct script access allowed');\r\n\r\n");
            controller.Append("class " + controllerName + " extends Controller{//begin class controller\r\n\r\n");
            controller.Append("public function " + controllerName + "(){//begin function\r\n\r\n");
            controller.Append("$mode = $this->getMode();\r\n\r\n");
            controller.Append("//load the view\r\n");
            controller.Append("require_once $mode .'views/" + controllerName + ".php';\r\n\r\n");
            controller.Append("}//end function\r\n\r\n");
            controller.Append("}//end controller class\r\n\r\n");
            controller.Append("?>");
            //end creating the controller

            //start creating the new view
            view.Append("<!DOCTYPE file>\r\n");
            view.Append("<file>\r\n");
            view.Append("<head>\r\n");
            view.Append("<meta charset=\"UTF-8\">\r\n");
            view.Append("<title></title>\r\n");
            view.Append("<link href='css/' rel='stylesheet' type='text/css'/>\r\n");
            view.Append("</head>\r\n");
            view.Append("<body>\r\n");
            //view.Append("<?php require_once 'header_view.php'?>\r\n");
            view.Append("<div>\r\n");
            view.Append("</div>\r\n");
            view.Append("</body>\r\n");
            view.Append("</file>\r\n");
            //end creating the new view

            //convert controller StringBuilder object to a string
            string controllerText = controller.ToString();

            //convert the view Stringbuilder object to  a string
            string viewText = view.ToString();

            //write the text to file creating a new php controller file
            System.IO.File.WriteAllText(@"C:\wamp\www\cms\controllers\" + controllerName + ".php", controllerText);

            //write the text to file creating a new php controller file
            System.IO.File.WriteAllText(@"C:\wamp\www\cms\views\" + viewName + ".php", viewText);

            //close the form
            this.Close();

            
        }
    }
}
