﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ViewBuilder
{//begin namespace
    class Text
    {//begin class

        /**
         * This method removes the first instance of a string that matches the supplied
         * string parameter
         */

        public String filterFirstString(String stringMatch, String inputString)
        {//begin method

            //the inputted string 
            String text = inputString;


            //remove the matching String and place the altered copy of the String into 
            //the filteredText String
            String filteredText = text.Replace(stringMatch, " ");


            //return the filteredText String
            return filteredText;


        }//end method

        public String replaceAll(String input, String replace, String replaceWith) 
        {//begin method

            String result;
            

            try
            {//begin try
                //replace all the string replace with the replaceWith String
                result = input.Replace(replace, replaceWith);

                //return the result string with string replacements made
                return result;

            }//end try

            catch (ArgumentNullException ex)
            {//begin catch

                MessageBox.Show("No argument was given for the method");
            }//end catch

            return null;

        }//end method





    }//end class
}//end namespace
